Login
curl --request POST \
--url https://api.royalti.io/auth/login \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "someone@example.com",
"password": "Testpassword"
}
'import requests
url = "https://api.royalti.io/auth/login"
payload = {
"email": "someone@example.com",
"password": "Testpassword"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'someone@example.com', password: 'Testpassword'})
};
fetch('https://api.royalti.io/auth/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Successful",
"workspaces": [
{
"workspaceId": "7bd60554-4f63-4c62-a5f6-c29c3f67cb2a",
"name": "Royalti Demo",
"status": "active",
"userType": [
[
"Artist"
]
],
"role": "user"
}
],
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjRlNDI3MjllLWYxNGQtNDhlNy1iNGNiLWMxODliNmQxNThlNiIsIm5hbWUiOiJyZWZyZXNoX3Rva2VuIiwiaWF0IjoxNzA3MzAxNTAxLCJleHAiOjE3MDczODc5MDF9.TPEuW4Fuzycid1sGEeXGZseIK187QE5ECF92WDhcpHE"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Auth
Login
/auth/login
POST
/
auth
/
login
Login
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
/auth/login Description:The
/auth/login endpoint authenticates a user and returns an access token.
Rate Limiting:This endpoint is rate limited to 20 requests per 3 minutes per IP address. Method:
POST
Request Payload:
| Parameter | Type | Description | Required |
|---|---|---|---|
| string | User’s email address | Yes | |
| password | string | User’s password | Yes |
| rememberMe | boolean | Whether to extend the session duration | No |
Returns an access token and user information on successful authentication.
Note: The access token should be included in theSecurity:Authorizationheader asBearer <token>for subsequent requests.
This endpoint requires no authentication.
Code Examples
const response = await fetch('https://api.royalti.io/auth/login', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"email": "sample-email",
"password": "sample-password",
"loginToken": "sample-loginToken"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/auth/login',
headers={
'Authorization': f'Bearer {token}'
},
json={"email":"sample-email","password":"sample-password","loginToken":"sample-loginToken"}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/auth/login \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"email":"sample-email","password":"sample-password","loginToken":"sample-loginToken"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
⌘I